import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NotificationTypesSchema } from '../enums/NotificationTypes.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  type: NotificationTypesSchema,
  message: z.string(),
  createdAt: z.coerce.date().optional(),
  read: z.boolean().optional()
}).strict();
export const NotificationCreateManyInputObjectSchema: z.ZodType<Prisma.NotificationCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.NotificationCreateManyInput>;
export const NotificationCreateManyInputObjectZodSchema = makeSchema();
